Subject: Make plankton instantiate pithos backend pool correctly

Description

Traceback (most recent call last):

  File "/usr/lib/python2.6/dist-packages/synnefo/api/util.py", line 472, in wrapper

    resp = func(request, *args, **kwargs)

  File "/usr/lib/python2.6/dist-packages/synnefo/api/images.py", line 209, in delete_image

    backend.delete(image_id)

  File "/usr/lib/python2.6/dist-packages/synnefo/plankton/backend.py", line 128, in wrapper

    return func(*args, **kwargs)

  File "/usr/lib/python2.6/dist-packages/synnefo/plankton/backend.py", line 294, in delete

    @handle_backend_exceptions

  File "/usr/lib/python2.6/dist-packages/pithos/backends/modular.py", line 135, in fn

    raise

QuotaError: Cannot connect to http://127.0.0.1:8008/quotaholder/v/issue_commission: Connection refused

Plankton should explicitly pass quotaholder related args to the pithos backend pool constructor (after the feature of deregistering images

without deleting them is implemented, plankton should only pass quotaholder_enable=false to the constructor).

Associated revisions

Revision f4366b6c - 03/07/2013 02:03 pm - Stratos Psomadakis 

Correctly instantiate pithos backend pool

Plankton should explicitly pass quotaholder related args to the pithos

backend pool constructor (after the feature of deregistering images

without deleting them is implemented, plankton should only pass

quotaholder_enable=false to the constructor).

Refs #3357

History

#1 - 03/03/2013 06:41 pm - Vangelis Koukis

- Category set to Plankton

- Status changed from New to Assigned

- Assignee set to Christos Stavrakakis

- Priority changed from Medium to High

- Target version set to 0.14.0

#2 - 03/04/2013 12:07 pm - Stratos Psomadakis

Hotfix currently on okeanos.io:
--- a/backend.py    2013-03-04 12:04:24.000000000 +0200

+++ b/backend.py    2013-03-01 19:02:29.000000000 +0200

@@ -63,6 +63,10 @@

 import synnefo.lib.astakos as lib_astakos

 import logging

+from synnefo.settings import (CYCLADES_USE_QUOTAHOLDER,

+                              CYCLADES_QUOTAHOLDER_URL,

+                              CYCLADES_QUOTAHOLDER_TOKEN)

+

 logger = logging.getLogger(__name__)

@@ -113,6 +117,9 @@

 POOL_SIZE = 8

 _pithos_backend_pool = \

     PithosBackendPool(POOL_SIZE,

+                      quotaholder_enabled = CYCLADES_USE_QUOTAHOLDER,

+                      quotaholder_url = CYCLADES_QUOTAHOLDER_URL,

+                      quotaholder_token = CYCLADES_QUOTAHOLDER_TOKEN,

                       db_connection=settings.BACKEND_DB_CONNECTION,

                       block_path=settings.BACKEND_BLOCK_PATH)

#3 - 03/07/2013 03:30 pm - Stratos Psomadakis

- Status changed from Assigned to Closed
